/* 
 * jquery.tgImageRollover
 * for jQuery 1.8.1
 * 
 * 【概要】<img class="rollover" src=~~ /> とした画像を
 * ファイル名末尾に「_on」を付加した画像でロールオーバーするプラグインです。
 * 
 * ＜ファイル名の例＞
 * 元画像：nav01.png
 * ロールオーバー画像：nav01_on.png
 * 
 * @Copyright : 2012 toogie | http://wataame.sumomo.ne.jp/archives/1687
 * @Version   : 1.1
 * @Modified  : 2012-12-17
 * 
 */

;(function($){
	$.fn.tgImageRollover = function(options){

		var opts = $.extend({}, $.fn.tgImageRollover.defaults, options);

		$(opts.selector).each(
			function(){
				this.onImage = $(this).attr('src').replace(/^(.+)(\.[a-z]+)$/,"$1"+ opts.attach +"$2");
				this.onHtml = $('<img src="'+this.onImage+'" alt="" style="position:absolute; opacity:0;" />');
				$(this).before(this.onHtml);

				$(this.onHtml).hover(
					function(){
						$(this).stop().animate({'opacity': '1'}, opts.onFadeTime);
					},
					function(){
						$(this).stop().animate({'opacity': '0'}, opts.offFadeTime);
					}
				)
			}
		)
	}

	// default option
	$.fn.tgImageRollover.defaults = {
		selector : 'img.rollover',
		attach : '_on',
		onFadeTime : 600,
		offFadeTime : 400,
	};

})(jQuery);
